*** nrpe-2.0b4/configure.in	Wed Jun  4 18:07:47 2003
--- nrpe-2.0b4-local/configure.in	Thu Jun 19 10:11:03 2003
***************
*** 37,59 ****
  AC_TYPE_SIGNAL
  AC_TYPE_GETGROUPS
  
! dnl Define u_int32_t if we don't have it already (Solaris)
! AC_CHECK_SIZEOF(int)
! AC_CHECK_SIZEOF(short)
! AC_CHECK_SIZEOF(long)
! AC_CHECK_TYPE(u_int32_t,unsigned int)
! if test "$ac_cv_type_u_int32_t" = no ; then
! 	if test "$ac_cv_sizeof_int" = 4 ; then
! 		AC_DEFINE(U_INT32_T_IS_UINT)
! 	else
! 		if test "$ac_cv_sizeof_long" = 4 ; then
! 			AC_DEFINE(U_INT32_T_IS_ULONG)
! 		else
! 			if test "$ac_cv_sizeof_short" = 4 ; then
! 				AC_DEFINE(U_INT32_T_IS_USHORT)
! 			fi
! 		fi
! 	fi
  fi
  
  dnl AC_CHECK_SIZEOF(int)
--- 37,82 ----
  AC_TYPE_SIGNAL
  AC_TYPE_GETGROUPS
  
! dnl Make sure we have a u_int32_t data type or macro
! AC_DEFUN([AC_DEFINE_INTEGER_BITS],
! [m4_define([ac_datatype_bits], [m4_translit($1, [a-zA-Z_])])
! m4_define([ac_datatype_bytes], [m4_eval(ac_datatype_bits/8)])
! AC_CHECK_TYPE($1, ,
!  [
!   AC_MSG_NOTICE([trying to find a suitable ]ac_datatype_bytes[-byte replacement for $1])
!   $1=no
!   find_$1 ()
!   {
!     _AC_DEFINE_INTEGER_BITS_HELPER($@)
!     :
!   }
!   find_$1
!   AC_DEFINE_UNQUOTED($1, $$1,
!     [If not already defined, then define as a datatype of *exactly* ]ac_datatype_bits[ bits.])
!  ])
! ])
! 
! dnl Iterate over arguments $2..$N, trying to find a good match for $1.
! m4_define([_AC_DEFINE_INTEGER_BITS_HELPER],
! [ifelse($2, , ,
!  [m4_define([ac_datatype_bits], [m4_translit($1, [a-zA-Z_])])
!   m4_define([ac_datatype_bytes], [m4_eval(ac_datatype_bits/8)])
!   AC_CHECK_SIZEOF($2)
!   if test "$AS_TR_SH(ac_cv_sizeof_$2)" -eq ac_datatype_bytes; then
!     $1="$2"
!     return
!   fi
!   _AC_DEFINE_INTEGER_BITS_HELPER($1, m4_shift(m4_shift($@)))
!  ])
! ])
! 
! AC_DEFINE_INTEGER_BITS(u_int32_t, unsigned long, unsigned int)
! if test "$u_int32_t" = no; then
!       AC_MSG_ERROR([unable to continue without a 32-bit datatype])
! fi
! AC_DEFINE_INTEGER_BITS(int32_t, long, int)
! if test "$int32_t" = no; then
!       AC_MSG_ERROR([unable to continue without a 32-bit datatype])
  fi
  
  dnl AC_CHECK_SIZEOF(int)
***************
*** 119,129 ****
  		if test -f "$dir/include/openssl/ssl.h"; then
  			found_ssl=yes
  			CFLAGS="$CFLAGS -I$ssldir/include/openssl"
  		        break
  		fi
  		if test -f "$dir/include/ssl.h"; then
  			found_ssl=yes
! 			CFLAGS="$CFLAGS -I$ssldir/include"
  		        break
  		fi
  	done
--- 142,157 ----
  		if test -f "$dir/include/openssl/ssl.h"; then
  			found_ssl=yes
  			CFLAGS="$CFLAGS -I$ssldir/include/openssl"
+ 			if test "$ssldir" != "/usr" -a "$ssldir" != "/usr/local" ; then
+ 				CFLAGS="$CFLAGS -I$ssldir/include"
+ 			fi
  		        break
  		fi
  		if test -f "$dir/include/ssl.h"; then
  			found_ssl=yes
! 			if test "$ssldir" != "/usr" -a "$ssldir" != "/usr/local" ; then
! 				CFLAGS="$CFLAGS -I$ssldir/include"
! 			fi
  		        break
  		fi
  	done
*** nrpe-2.0b4/common/config.h.in	Tue Apr 29 19:26:14 2003
--- nrpe-2.0b4-local/common/config.h.in	Thu Jun 19 10:15:45 2003
***************
*** 34,63 ****
  #undef HAVE_STRSTR
  #undef HAVE_STRTOUL 
  #undef HAVE_INITGROUPS
  
  #undef SIZEOF_INT
  #undef SIZEOF_SHORT
  #undef SIZEOF_LONG
  
- /* stupid stuff for u_int32_t */
- #undef U_INT32_T_IS_USHORT
- #undef U_INT32_T_IS_UINT
- #undef U_INT32_T_IS_ULONG
- 
- #ifdef U_INT32_T_IS_USHORT
- typedef unsigned short u_int32_t;
- typedef short int32_t;
- #endif
- #ifdef U_INT32_T_IS_ULONG
- typedef unsigned long u_int32_t;
- typedef long int32_t;
- #endif
- #ifdef U_INT32_T_IS_UINT
- typedef unsigned int u_int32_t;
- typedef int int32_t;
- #endif
- 
- 
  #define SOCKET_SIZE_TYPE ""
  #define GETGROUPS_T ""
  #define RETSIGTYPE ""
--- 34,48 ----
  #undef HAVE_STRSTR
  #undef HAVE_STRTOUL 
  #undef HAVE_INITGROUPS
+ #undef HAVE_INTTYPES_H
+ #undef HAVE_STDINT_H
+ #undef u_int32_t
+ #undef int32_t
  
  #undef SIZEOF_INT
  #undef SIZEOF_SHORT
  #undef SIZEOF_LONG
  
  #define SOCKET_SIZE_TYPE ""
  #define GETGROUPS_T ""
  #define RETSIGTYPE ""
***************
*** 200,202 ****
--- 185,194 ----
  #include <krb5.h>
  #endif
  
+ #if HAVE_INTTYPES_H
+ # include <inttypes.h>
+ #else
+ # if HAVE_STDINT_H
+ #  include <stdint.h>
+ # endif
+ #endif
